Bug 927430 (CVE-2013-2561) - CVE-2013-2561 ibutils: insecure handling of files in the /tmp directory
Summary: CVE-2013-2561 ibutils: insecure handling of files in the /tmp directory
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2561
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 958569 1012222
Blocks: 927433 974906
TreeView+ depends on / blocked
 
Reported: 2013-03-25 21:45 UTC by Vincent Danen
Modified: 2021-02-17 07:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-07 11:23:47 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1661 0 normal SHIPPED_LIVE Moderate: RDMA stack security, bug fix, and enhancement update 2013-11-20 21:53:07 UTC

Description Vincent Danen 2013-03-25 21:45:52 UTC
It was reported [1] that ibutils 1.5.7 suffered from a flaw due to improper handling of files in the /tmp directory.  This makes ibutils vulnerable to symlink attacks, which could be used to overwrite arbitrary files on the system.


[1] http://seclists.org/fulldisclosure/2013/Mar/87

Comment 1 Huzaifa S. Sidhpurwala 2013-03-26 06:08:37 UTC
This issue has been assigned CVE-2013-1894 via:

http://seclists.org/oss-sec/2013/q1/741

Comment 2 Vincent Danen 2013-03-26 14:49:34 UTC
This was actually assigned CVE-2013-2561 before the above assignment:

http://www.openwall.com/lists/oss-security/2013/03/19/8

CVE-2013-1894 needs to be rejected.

Comment 5 Huzaifa S. Sidhpurwala 2013-03-27 04:21:53 UTC
Statement:

(none)

Comment 6 errata-xmlrpc 2013-11-21 21:35:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1661 https://rhn.redhat.com/errata/RHSA-2013-1661.html


Note You need to log in before you can comment on or make changes to this bug.